Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Update a datapoint’s input, expected output, or metadata within a dataset. Modify test cases used for evaluation and experiment workflows.
curl --request PATCH \
--url https://api.orq.ai/v2/datasets/{dataset_id}/datapoints/{datapoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"expected_output": "<string>"
}
'{
"_id": "<string>",
"workspace_id": "<string>",
"dataset_id": "<string>",
"inputs": {},
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"expected_output": "<string>",
"evaluations": [
{
"id": "<string>",
"evaluation_type": "human_review",
"human_review_id": "<string>",
"reviewed_by_id": "<string>",
"type": "string",
"value": "<string>",
"source": "orq",
"reviewed_at": "2026-04-22T10:10:12.387Z"
}
],
"snapshot_version": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created": "2026-04-22T10:10:04.294Z",
"updated": "2026-04-22T10:10:04.295Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the dataset
The unique identifier of the datapoint
The inputs of the dataset. Key value pairs where the key is the input name and the value is the input value. Nested objects are not supported.
Show child attributes
A list of messages comprising the conversation so far
Developer-provided instructions that the model should follow, regardless of messages sent by the user.
Show child attributes
Dataset item updated.
The unique identifier of the dataset item
The unique identifier of the workspace it belongs to
The unique identifier of the dataset
The inputs of the dataset. Key value pairs where the key is the input name and the value is the input value. Nested objects are not supported.
Show child attributes
A list of messages comprising the conversation so far
Developer-provided instructions that the model should follow, regardless of messages sent by the user.
Show child attributes
Evaluations associated with the datapoint
Show child attributes
The version of the dataset snapshot
The unique identifier of the user who created the dataset
The unique identifier of the user who last updated the dataset
The date and time the resource was created
The date and time the resource was last updated
Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/datasets/{dataset_id}/datapoints/{datapoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"expected_output": "<string>"
}
'{
"_id": "<string>",
"workspace_id": "<string>",
"dataset_id": "<string>",
"inputs": {},
"messages": [
{
"role": "system",
"content": "<string>",
"name": "<string>"
}
],
"expected_output": "<string>",
"evaluations": [
{
"id": "<string>",
"evaluation_type": "human_review",
"human_review_id": "<string>",
"reviewed_by_id": "<string>",
"type": "string",
"value": "<string>",
"source": "orq",
"reviewed_at": "2026-04-22T10:10:12.387Z"
}
],
"snapshot_version": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"created": "2026-04-22T10:10:04.294Z",
"updated": "2026-04-22T10:10:04.295Z"
}